# Manage Tags POST /api/v1/qllm/tags/ Content-Type: application/json Provides endpoints to search for tags and manage user's saved tags. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/qllm/tags-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/qllm/tags/: post: operationId: tags-create summary: Manage Tags description: Provides endpoints to search for tags and manage user's saved tags. tags: - subpackage_qllm parameters: - name: 'n' in: query description: Number of tags to return required: false schema: type: integer - name: q in: query description: Search query for tags required: false schema: type: string responses: '200': description: List of recommended and user's saved tags content: application/json: schema: $ref: '#/components/schemas/qllm_tagsCreate_Response_200' '400': description: Invalid input content: application/json: schema: description: Any type '401': description: Unauthorized content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/SaveTagsRequest' components: schemas: SaveTagsRequest: type: object properties: tags: type: array items: type: string description: List of tags to save for the user required: - tags title: SaveTagsRequest qllm_tagsCreate_Response_200: type: object properties: {} description: Empty response body title: qllm_tagsCreate_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/qllm/tags/" payload = { "tags": ["machine-learning", "natural-language-processing", "ai-research"] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/qllm/tags/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tags":["machine-learning","natural-language-processing","ai-research"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/qllm/tags/" payload := strings.NewReader("{\n \"tags\": [\n \"machine-learning\",\n \"natural-language-processing\",\n \"ai-research\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/qllm/tags/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"tags\": [\n \"machine-learning\",\n \"natural-language-processing\",\n \"ai-research\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/qllm/tags/") .header("Content-Type", "application/json") .body("{\n \"tags\": [\n \"machine-learning\",\n \"natural-language-processing\",\n \"ai-research\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/qllm/tags/', [ 'body' => '{ "tags": [ "machine-learning", "natural-language-processing", "ai-research" ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/qllm/tags/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"tags\": [\n \"machine-learning\",\n \"natural-language-processing\",\n \"ai-research\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["tags": ["machine-learning", "natural-language-processing", "ai-research"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/qllm/tags/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python import requests url = "https://api.example.com/api/v1/qllm/tags/" payload = { "tags": ["machine-learning", "natural-language-processing", "ai-research"] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/qllm/tags/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tags":["machine-learning","natural-language-processing","ai-research"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/qllm/tags/" payload := strings.NewReader("{\n \"tags\": [\n \"machine-learning\",\n \"natural-language-processing\",\n \"ai-research\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/qllm/tags/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"tags\": [\n \"machine-learning\",\n \"natural-language-processing\",\n \"ai-research\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/qllm/tags/") .header("Content-Type", "application/json") .body("{\n \"tags\": [\n \"machine-learning\",\n \"natural-language-processing\",\n \"ai-research\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/qllm/tags/', [ 'body' => '{ "tags": [ "machine-learning", "natural-language-processing", "ai-research" ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/qllm/tags/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"tags\": [\n \"machine-learning\",\n \"natural-language-processing\",\n \"ai-research\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["tags": ["machine-learning", "natural-language-processing", "ai-research"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/qllm/tags/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```